<!DOCTYPE html>
<html>
  <head>
      <meta charset="utf-8">
      <meta name="generator" content="GitLab Pages">
      <title>KATRIN remote analysis shift</title>
      <link rel="shortcut icon" href="https://ikp-neu-katrin.ikp.kit.edu/routine/pics/KATRINlogo.ico" />
      <link rel="stylesheet" href="style.css">

      <script>
      function WelcomeMessage() {
          document.getElementById("result").innerHTML = "Welcome" + localStorage.getItem('author');
      }
      </script>

  </head>

  <body>
    <div class="navbar">
      <a style="background-color:#1761B2;text-decoration:none"><b>Quick links:</b></a>
      <a href="http://adei-katrin.kaas.kit.edu" target="_blank">Adei</a>
      <a href="http://katana.npl.washington.edu" target="_blank">katana</a>
      <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM6/" target="_blank">brew</a>
      <a href="https://webtrium.mpp.mpg.de" target="_blank">webtrium</a>
    </div>

    <center>
      <h1>Checklist for remote analysis shifts</h1>
    </center>

    <hr>

    <h2 style="text-align:right">Step 2/3</h2>

    <center>
      <body onload="document.getElementById('result').innerHTML = 'Welcome ' + localStorage.getItem('author') + '<br><br>The last check has been performed based on:<br>' + localStorage.getItem('lastChecked')">
        <h3 id="result"></h3>
      </body>
      <h3>Please check the following parameters and values. <br>If any runs are effected, note down the run numbers in the comments and contact the corresponding system expert. </h3>
      <br>

      <hr>
      <br>
      <h3>General information:</h3>

      <table width="50%" id="table" align="center">
        <!-- <tr>
          <th>Subsystem</th>
          <th>What to look for</th>
        </tr> -->

        <tr>
          <td style="text-align:center"><b>First run</b></td>
          <td style="text-align:center"><input type="text" placeholder ="Run number" id="First_run"></td>
        </tr>

        <tr>
          <td style="text-align:center"><b>Last run</b></td>
          <td style="text-align:center"><input type="text" placeholder ="Run number" id="Last_run"></td>
        </tr>

      </table>
      <br>

      <hr>

      <br>
      <h3>Checks on Adei:</h3>
      <table width="100%" id="table" align="center">

        <tr>
          <th>Subsystem</th>
          <th>What to look for</th>
          <th>good (green) <br> or bad (red)</th>
          <th>Comment if bad</th>
        </tr>

        <tr>
          <td><b>High Voltage <br>(K35/K65)</b></td>
          <td>Are there any unexpected spikes in the
          <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=hv__katrin-hv_rep__7__5" target="_blank">K35/K65 readback.</a>
          <br>(more details can be found <a href="https://ikp-katrin-wiki.ikp.kit.edu/katrin/images/0/05/Check-Controlroom.pdf" target="_blank">here</a>)</td>
          <td><label class="switch"><input type="checkbox" id="HV_K65_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="HV_K65"></td>
        </tr>

        <tr>
          <td><b>High Voltage <br>(absolute tank potential)</b></td>
          <td>Are there any unexpected spikes in the
          <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=hv__katrin-hv_rep__0__39&infomod=legend&history_id=1627290450297" target="_blank">tank potential readback.</a>
          <br>(more details can be found <a href="https://ikp-katrin-wiki.ikp.kit.edu/katrin/images/0/05/Check-Controlroom.pdf" target="_blank">here</a>)</td>
          <td><label class="switch"><input type="checkbox" id="HV_TankPotential_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="HV_TankPotential"></td>
        </tr>

        <tr>
          <td><b>BIXS</b></td>
          <td>Is the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=bixs__131_BIXS__BIXS_10367__5&infomod=legend&history_id=1631292675774" target="_blank">BIXS signal</a>
            stable? If not, something is wrong.
            <br> Is there a long term trend visible?
          <td><label class="switch"><input type="checkbox" id="BIXS_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="BIXS"></td>
        </tr>

        <tr>
          <td><b>Tritium throughput</b></td>
          <td>Is the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=cstloops__ControlSystem_Loop_ISS__610InnerLoop_CircIn__18&infomod=legend&history_id=1631539399883" target="_blank">tritium throughput</a>
            stable to within < 1 sccm? If not, something is wrong.
            <br> Is there a long term trend visible?
          <td><label class="switch"><input type="checkbox" id="LARA_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="LARA"></td>
        </tr>

        <tr>
          <td><b>FBM</b></td>
          <td>Check for outliers in the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=fbm0&db_name=FBT&db_group=FBM_pixel_rates&control_group=FBM_pixel_rates&db_mask=0&experiment=-&window=86400&module=graph&virtual=srctree&srctree=&infomod=legend&history_id=1631539548331" target="_blank">FBM rate</a>.
            Absolute values depending on pixel and KNMx period, keep in mind long term drift. Just check for outliers!.
          <td><label class="switch"><input type="checkbox" id="FBM_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="FBM"></td>
        </tr>

        <tr>
          <td><b>RW current and voltage</b></td>
          <td>Were the IU scans performed regularly (visible in the <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=egunrs__EgunRS__0__112,egunrs__EgunRS__0__113&infomod=legend&history_id=1631539516866" target="_blank">RW current and voltage</a>)?<br>
          <td><label class="switch"><input type="checkbox" id="RW_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="RW"></td>
        </tr>

      </table>
      <br>

      <hr>
      <br>
      <h3>Checks on <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM6/"  target="_blank">brew</a>:</h3>
      <p>A guide on how to use brew can be found <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM6/doc/BrewManual.html" target="blank">here</a></p>
      <p>If one of the columns doesn't exist in the latest brew table, mark the corresponding question as ok.</p>
      <table width="100%" id="table" align="center">

        <tr>
          <th>Parameter</th>
          <th>What to look for</th>
          <th>good (green) <br> or bad (red)</th>
          <th>Comment if bad</th>
        </tr>

        <tr>
          <td><b>Run Length</b></td>
          <td>Do any runs have shorter run length? Shorter length indicates missing subruns.</td>
          <td><label class="switch"><input type="checkbox"  id="Run_Length_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Run_Length"></td>
        </tr>

        <tr>
          <td><b>Data Size</b></td>
          <td>Do any runs have a different data size? Smaller size indicates missing subruns.</td>
          <td><label class="switch"><input type="checkbox" id="Data_Size_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Data_Size"></td>
        </tr>

        <tr>
          <td><b>FPD Energy Shift</b></td>
          <td>Peaks in BREW plot of this value over time indicate rapid detector gain drifts, <br>likely caused by large temperature changes of the building.</td>
          <td><label class="switch"><input type="checkbox" id="FPD_Energy_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="FPD_Energy"></td>
        </tr>

        <tr>
          <td><b>Grid-Sync Gap</b></td>
          <td>Non-zero values indicate dead-time in DAQ.</td>
          <td><label class="switch"><input type="checkbox"  id="Grid_sync_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Grid_sync"></td>
        </tr>

        <tr>
          <td><b>Rate 300eV</b></td>
          <td>Is rate 300 eV comparable to other runs? (necessary for Column Density Calculation).</td>
          <td><label class="switch"><input type="checkbox"  id="Rate_300_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Rate_300"></td>
        </tr>

        <tr>
          <td><b>Rate 90eV</b></td>
          <td>Is rate 90 eV comparable to other runs? (necessary for Column Density Calculation).</td>
          <td><label class="switch"><input type="checkbox" id="Rate_90_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Rate_90"></td>
        </tr>

        <tr>
          <td><b>Tritium Purity</b></td>
          <td>Is tritium purity estimated and around 98.6%? (necessary for Column Density Calculation).</td>
          <td><label class="switch"><input type="checkbox" id="TritiumPurity_checkbox" value="good"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="TritiumPurity"></td>
        </tr>

        <tr>
          <td><b>LARA Consistency Check</b></td>
          <td>Are all are all entries in the LARA Consistency Check column ok?</td>
          <td><label class="switch"><input type="checkbox" id="LARACrosscheck_checkbox" value="good"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="LARACrosscheck"></td>
        </tr>

      </table>
      <br>
      <hr>
      <br>
      <h3>Additional comments</h3>
      <textarea name="multiliner" placeholder ="Add any additional comments or observations here ..." type="text" id="additional_comments" style="width:75%;height:100px;"></textarea>
      <br>
      <br>
      <hr>
      <br>
      <button type="submit" onclick="goBack()" id="Back">Go back</button>
      <button type="submit" onclick="submit()" id="Submit">Confirm</button>
      <br><br><br><br>

      <script type="text/javascript">

          function goBack() {
              window.location.href="index.php";
          }

          function submit() {

              var VariableName = ["HV (K65)", "HV Tank Potential", "BIXS", "LARA", "FBM", "RW", "Run Length", "Data Size", "FPD Energy", "Grid sync", "Rate 300", "Rate 90", "Tritium Purity", "LARA consistency check" ];
              var sqlNAME      = ["HV_K65", "HV_TankPotential", "BIXS", "LARA", "FBM", "RW", "Run_Length", "Data_Size", "FPD_Energy", "Grid_sync", "Rate_300", "Rate_90", "Tritium_Purity", "LARA_crosscheck"];
              var Checkboxes = ["HV_K65_checkbox", "HV_TankPotential_checkbox", "BIXS_checkbox", "LARA_checkbox", "FBM_checkbox", "RW_checkbox", "Run_Length_checkbox", "Data_Size_checkbox", "FPD_Energy_checkbox", "Grid_sync_checkbox", "Rate_300_checkbox", "Rate_90_checkbox", "TritiumPurity_checkbox", "LARACrosscheck_checkbox"];
              var Comments = ["HV_K65", "HV_TankPotential", "BIXS", "LARA", "FBM", "RW", "Run_Length", "Data_Size", "FPD_Energy", "Grid_sync", "Rate_300", "Rate_90", "TritiumPurity", "LARACrosscheck" ];
              var arrayLength = VariableName.length;
              var badFlags = 0;

              var date = new Date();
              var dateTime =  (date.getUTCFullYear()).toString() + '-' + (("0" + (date.getUTCMonth() + 1)).slice(-2)) + '-' + (("0" + date.getUTCDate()).slice(-2)) + "," + (("0" + date.getUTCHours()).slice(-2)) + ':' + (("0" + date.getUTCMinutes()).slice(-2)) + ':' + (("0" + date.getUTCSeconds()).slice(-2));
              var runRange = document.getElementById('First_run').value + ' - ' + document.getElementById('Last_run').value;

              var Summary     = ''
              Summary += 'Author: '+ localStorage.getItem('author')+'<br>';
              Summary += 'Submission time: ' + dateTime + '<br>';
              Summary += 'Measurement type: '+ localStorage.getItem('measurement')+'<br>';
              Summary += 'Run range: ' + runRange + '<br><br>';
              Summary += '<pre>Parameter summary:<br>';

              var forwardingInfo = "";
              forwardingInfo += "?Author="     + localStorage.getItem('author');
              forwardingInfo += "&Submitted="  + dateTime;

              forwardingInfo += "&Mode="       + localStorage.getItem('measurement')
              forwardingInfo += "&Run_Range="  + runRange;

              var temp = '';
              for (let i = 0; i < arrayLength; i++){
                var good = document.getElementById(Checkboxes[i]);
                var comment = document.getElementById(Comments[i])
                if (good.checked == true){
                  forwardingInfo += "&"+sqlNAME[i]+"=good"
                  //temp += '<pre>    ' + VariableName[i] + ': <br>        status = good <br>';
                }
                else{
                  forwardingInfo += "&"+sqlNAME[i]+"=bad"
                  temp += '    ' + VariableName[i] + ': <br>        status = bad <br>        comment = '+ comment.value +'<br>';
                  badFlags += 1;
                }
              }
              Summary += '    ' + badFlags.toString() + ' item(s) have been makred as bad.<br><br>';
              if (badFlags > 0) {
                Summary += temp
              }
              if(additional_comments.value != ""){
                Summary += '<br>Additional comments: <br><br>'+additional_comments.value;
              }
              Summary += '</pre>';
            localStorage.setItem('summary', Summary);
            forwardingInfo += "&Summary="  + Summary;

            window.location.href="submit.php"+forwardingInfo;
          }
      </script>

    </center>
  </body>
</html>
